Index: bind-8.1.2/bin/addr/Makefile
diff -c bind-8.1.2/bin/addr/Makefile:1.1.1.1 bind-8.1.2/bin/addr/Makefile:1.2
*** bind-8.1.2/bin/addr/Makefile:1.1.1.1	Wed Jun 03 19:19:58 1998
--- bind-8.1.2/bin/addr/Makefile	Thu Jun 04 12:53:18 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 46,61 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
--- 47,62 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
***************
*** 64,71 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 65,72 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/bin/dig/Makefile
diff -c bind-8.1.2/bin/dig/Makefile:1.1.1.1 bind-8.1.2/bin/dig/Makefile:1.2
*** bind-8.1.2/bin/dig/Makefile:1.1.1.1	Wed Jun 03 19:19:58 1998
--- bind-8.1.2/bin/dig/Makefile	Thu Jun 04 12:53:20 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 50,65 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O} 
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${NSLOOKUP_OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} ${NSLOOKUP_OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
--- 51,66 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O} 
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${NSLOOKUP_OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} ${NSLOOKUP_OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
***************
*** 68,75 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 69,76 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/bin/dnsquery/Makefile
diff -c bind-8.1.2/bin/dnsquery/Makefile:1.1.1.1 bind-8.1.2/bin/dnsquery/Makefile:1.2
*** bind-8.1.2/bin/dnsquery/Makefile:1.1.1.1	Wed Jun 03 19:19:59 1998
--- bind-8.1.2/bin/dnsquery/Makefile	Thu Jun 04 12:53:21 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 46,61 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
--- 47,62 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
***************
*** 64,71 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 65,72 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/bin/host/Makefile
diff -c bind-8.1.2/bin/host/Makefile:1.1.1.1 bind-8.1.2/bin/host/Makefile:1.2
*** bind-8.1.2/bin/host/Makefile:1.1.1.1	Wed Jun 03 19:19:59 1998
--- bind-8.1.2/bin/host/Makefile	Thu Jun 04 12:53:22 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 46,61 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
--- 47,62 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
***************
*** 64,71 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 65,72 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/bin/named/Makefile
diff -c bind-8.1.2/bin/named/Makefile:1.1.1.1 bind-8.1.2/bin/named/Makefile:1.2
*** bind-8.1.2/bin/named/Makefile:1.1.1.1	Wed Jun 03 19:20:01 1998
--- bind-8.1.2/bin/named/Makefile	Thu Jun 04 12:53:23 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  YACC = yacc -d
  SYSLIBS = -ll -lutil
***************
*** 64,73 ****
  	ns_resp.${O} ns_stats.${O} ns_ncache.${O} ns_xfr.${O} ns_glue.${O} \
  	ns_udp.${O} ns_config.${O} ns_update.${O}
  
! all: ${PROG} pathnames
  
! ${PROG}: pathnames.h ${OBJS} ${LIBBIND} Makefile tmp_version.${O}
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} tmp_version.${O} \
  		${LIBBIND} ${SYSLIBS}
  
  ns_parser.c ns_parser.h: ns_parser.y
--- 65,74 ----
  	ns_resp.${O} ns_stats.${O} ns_ncache.${O} ns_xfr.${O} ns_glue.${O} \
  	ns_udp.${O} ns_config.${O} ns_update.${O}
  
! all: ${PROG}${EXE} pathnames${EXE}
  
! ${PROG}${EXE}: pathnames.h ${OBJS} ${LIBBIND} Makefile tmp_version.${O}
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} tmp_version.${O} \
  		${LIBBIND} ${SYSLIBS}
  
  ns_parser.c ns_parser.h: ns_parser.y
***************
*** 91,97 ****
  	    -e "s|%DESTRUN%|${DESTRUN}|" \
  	    < pathtemplate.h > pathnames.h
  
! pathnames: pathnames.${O} pathnames.h ${LIBBIND} Makefile
  	${CC} ${CDEBUG} ${LDFLAGS} -o $@ pathnames.${O} \
  		${LIBBIND} ${SYSLIBS}
  
--- 92,98 ----
  	    -e "s|%DESTRUN%|${DESTRUN}|" \
  	    < pathtemplate.h > pathnames.h
  
! pathnames${EXE}: pathnames.${O} pathnames.h ${LIBBIND} Makefile
  	${CC} ${CDEBUG} ${LDFLAGS} -o $@ pathnames.${O} \
  		${LIBBIND} ${SYSLIBS}
  
***************
*** 99,108 ****
  	rm -f ns_parser.c ns_parser.h
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  	rm -f tmp_version.c tmp_version.${O}
! 	rm -f pathnames pathnames.${O} tmp_pathnames.h pathnames.h
  	rm -f y.tab.h y.tab.c
  
  depend: ${SRCS} pathnames.h
--- 100,109 ----
  	rm -f ns_parser.c ns_parser.h
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  	rm -f tmp_version.c tmp_version.${O}
! 	rm -f pathnames${EXE} pathnames.${O} tmp_pathnames.h pathnames.h
  	rm -f y.tab.h y.tab.c
  
  depend: ${SRCS} pathnames.h
***************
*** 111,118 ****
  ${DESTDIR}${DESTSBIN}:
  	mkdir -p ${DESTDIR}${DESTSBIN}
  
! install: ${DESTDIR}${DESTSBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTSBIN}/${PROG}
  
  links: FRC
  	@ln -s SRC/*.[chy] SRC/test .; rm -f ns_parser.[ch]
--- 112,119 ----
  ${DESTDIR}${DESTSBIN}:
  	mkdir -p ${DESTDIR}${DESTSBIN}
  
! install: ${DESTDIR}${DESTSBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTSBIN}/${PROG}${EXE}
  
  links: FRC
  	@ln -s SRC/*.[chy] SRC/test .; rm -f ns_parser.[ch]
Index: bind-8.1.2/bin/named-xfer/Makefile
diff -c bind-8.1.2/bin/named-xfer/Makefile:1.1.1.1 bind-8.1.2/bin/named-xfer/Makefile:1.2
*** bind-8.1.2/bin/named-xfer/Makefile:1.1.1.1	Wed Jun 03 19:20:04 1998
--- bind-8.1.2/bin/named-xfer/Makefile	Thu Jun 04 12:53:24 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 52,67 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${NAMED_OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} ${NAMED_OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} core .depend
  	rm -f *.BAK *.CKP *~ *.${O} *.orig
  
  depend: ${SRCS}
--- 53,68 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${NAMED_OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} ${NAMED_OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} core .depend
  	rm -f *.BAK *.CKP *~ *.${O} *.orig
  
  depend: ${SRCS}
***************
*** 70,77 ****
  ${DESTDIR}${DESTEXEC}:
  	mkdir -p ${DESTDIR}${DESTEXEC}
  
! install: ${DESTDIR}${DESTEXEC} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTEXEC}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 71,78 ----
  ${DESTDIR}${DESTEXEC}:
  	mkdir -p ${DESTDIR}${DESTEXEC}
  
! install: ${DESTDIR}${DESTEXEC} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTEXEC}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/bin/nslookup/Makefile
diff -c bind-8.1.2/bin/nslookup/Makefile:1.1.1.1 bind-8.1.2/bin/nslookup/Makefile:1.2
*** bind-8.1.2/bin/nslookup/Makefile:1.1.1.1	Wed Jun 03 19:20:05 1998
--- bind-8.1.2/bin/nslookup/Makefile	Thu Jun 04 12:53:26 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 49,65 ****
  OBJS=	main.${O} getinfo.${O} debug.${O} send.${O} skip.${O} list.${O} \
  	subr.${O} commands.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  	rm -f commands.c
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  	rm -f lex.yy.c lex.yy.o
  
--- 50,66 ----
  OBJS=	main.${O} getinfo.${O} debug.${O} send.${O} skip.${O} list.${O} \
  	subr.${O} commands.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  	rm -f commands.c
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  	rm -f lex.yy.c lex.yy.o
  
***************
*** 72,79 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${DESTDIR}${DESTHELP} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  	${INSTALL} -c -o bin -g bin -m 444 nslookup.help ${DESTDIR}${DESTHELP}/
  
  links: FRC
--- 73,80 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${DESTDIR}${DESTHELP} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  	${INSTALL} -c -o bin -g bin -m 444 nslookup.help ${DESTDIR}${DESTHELP}/
  
  links: FRC
Index: bind-8.1.2/bin/nsupdate/Makefile
diff -c bind-8.1.2/bin/nsupdate/Makefile:1.1.1.1 bind-8.1.2/bin/nsupdate/Makefile:1.2
*** bind-8.1.2/bin/nsupdate/Makefile:1.1.1.1	Wed Jun 03 19:20:06 1998
--- bind-8.1.2/bin/nsupdate/Makefile	Thu Jun 04 12:53:27 1998
***************
*** 29,34 ****
--- 29,35 ----
  LIBBIND = ${TOP}/lib/libbind.a
  A=a
  O=o
+ EXE=
  LEX = lex -I
  SYSLIBS = -ll -lutil
  PIDDIR = /var/run
***************
*** 46,61 ****
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}
  
! ${PROG}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
--- 47,62 ----
  SRCS= ${PROG}.c
  OBJS= ${PROG}.${O}
  
! all: ${PROG}${EXE}
  
! ${PROG}${EXE}: ${OBJS} ${LIBBIND} Makefile
! 	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG}${EXE} ${OBJS} \
  		${LIBBIND} ${SYSLIBS}
  
  distclean: clean
  
  clean: FRC
! 	rm -f ${PROG}${EXE} ${OBJS} core .depend
  	rm -f *.BAK *.CKP *~ *.orig
  
  depend: ${SRCS}
***************
*** 64,71 ****
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
--- 65,72 ----
  ${DESTDIR}${DESTBIN}:
  	mkdir -p ${DESTDIR}${DESTBIN}
  
! install: ${DESTDIR}${DESTBIN} ${PROG}${EXE}
! 	${INSTALL} ${STRIP} -c -m 755 ${PROG}${EXE} ${DESTDIR}${DESTBIN}/${PROG}${EXE}
  
  links: FRC
  	@set -e; ln -s SRC/*.[ch] .
Index: bind-8.1.2/include/netdb.h
diff -c bind-8.1.2/include/netdb.h:1.1.1.1 bind-8.1.2/include/netdb.h:1.2
*** bind-8.1.2/include/netdb.h:1.1.1.1	Wed Jun 03 19:20:06 1998
--- bind-8.1.2/include/netdb.h	Thu Jun 04 12:53:28 1998
***************
*** 70,81 ****
--- 70,93 ----
  #ifndef _PATH_HEQUIV
  # define	_PATH_HEQUIV	"/etc/hosts.equiv"
  #endif
+ #ifndef __CYGWIN32__
  #define	_PATH_HOSTS	"/etc/hosts"
  #define	_PATH_NETWORKS	"/etc/networks"
  #define	_PATH_PROTOCOLS	"/etc/protocols"
  #define	_PATH_SERVICES	"/etc/services"
+ #else
+ #define	_PATH_HOSTS	get_win32path("hosts")
+ #define	_PATH_NETWORKS	get_win32path("networks")
+ #define	_PATH_PROTOCOLS	get_win32path("protocol")
+ #define	_PATH_SERVICES	get_win32path("services")
+ #endif
  
+ #if defined(__CYGWIN32__) && !defined(__INSIDE_CYGWIN_NET__)
+ extern int * __imp_h_errno;
+ #define h_errno (*__imp_h_errno)
+ #else
  extern int h_errno;
+ #endif
  
  /*
   * Structures returned by network data base library.  All addresses are
***************
*** 85,92 ****
--- 97,109 ----
  struct	hostent {
  	char	*h_name;	/* official name of host */
  	char	**h_aliases;	/* alias list */
+ #ifdef _WIN32
+ 	short	h_addrtype;	/* host address type */
+ 	short	h_length;	/* length of address */
+ #else
  	int	h_addrtype;	/* host address type */
  	int	h_length;	/* length of address */
+ #endif
  	char	**h_addr_list;	/* list of addresses from name server */
  #define	h_addr	h_addr_list[0]	/* address, for backward compatiblity */
  };
***************
*** 98,118 ****
--- 115,147 ----
  struct	netent {
  	char		*n_name;	/* official name of net */
  	char		**n_aliases;	/* alias list */
+ #ifdef _WIN32
+ 	short		n_addrtype;	/* net address type */
+ #else
  	int		n_addrtype;	/* net address type */
+ #endif
  	unsigned long	n_net;		/* network # */
  };
  
  struct	servent {
  	char	*s_name;	/* official service name */
  	char	**s_aliases;	/* alias list */
+ #ifdef _WIN32
+ 	short	s_port;		/* port # */
+ #else
  	int	s_port;		/* port # */
+ #endif
  	char	*s_proto;	/* protocol to use */
  };
  
  struct	protoent {
  	char	*p_name;	/* official protocol name */
  	char	**p_aliases;	/* alias list */
+ #ifdef _WIN32
+ 	short	p_proto;	/* protocol # */
+ #else
  	int	p_proto;	/* protocol # */
+ #endif
  };
  
  /*
***************
*** 129,134 ****
--- 158,164 ----
  #define	NO_ADDRESS	NO_DATA		/* no address, look for MX record */
  
  __BEGIN_DECLS
+ #ifndef __INSIDE_CYGWIN_NET__
  void		endhostent __P((void));
  void		endnetent __P((void));
  void		endprotoent __P((void));
***************
*** 153,158 ****
--- 183,193 ----
  void		setnetent __P((int));
  void		setprotoent __P((int));
  void		setservent __P((int));
+ #endif
+ 
+ #ifdef __CYGWIN32__
+ const char	*get_win32path __P((const char *));
+ #endif
  __END_DECLS
  
  /* This is nec'y to make this include file properly replace the sun version. */
Index: bind-8.1.2/lib/bsd/Makefile
diff -c bind-8.1.2/lib/bsd/Makefile:1.1.1.1 bind-8.1.2/lib/bsd/Makefile:1.2
*** bind-8.1.2/lib/bsd/Makefile:1.1.1.1	Wed Jun 03 19:20:08 1998
--- bind-8.1.2/lib/bsd/Makefile	Thu Jun 04 12:53:29 1998
***************
*** 55,61 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 55,61 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/inet/Makefile
diff -c bind-8.1.2/lib/inet/Makefile:1.1.1.1 bind-8.1.2/lib/inet/Makefile:1.2
*** bind-8.1.2/lib/inet/Makefile:1.1.1.1	Wed Jun 03 19:20:10 1998
--- bind-8.1.2/lib/inet/Makefile	Thu Jun 04 12:53:31 1998
***************
*** 54,60 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 54,60 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/irs/Makefile
diff -c bind-8.1.2/lib/irs/Makefile:1.1.1.1 bind-8.1.2/lib/irs/Makefile:1.2
*** bind-8.1.2/lib/irs/Makefile:1.1.1.1	Wed Jun 03 19:20:14 1998
--- bind-8.1.2/lib/irs/Makefile	Thu Jun 04 12:53:32 1998
***************
*** 61,67 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 61,67 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/isc/Makefile
diff -c bind-8.1.2/lib/isc/Makefile:1.1.1.1 bind-8.1.2/lib/isc/Makefile:1.2
*** bind-8.1.2/lib/isc/Makefile:1.1.1.1	Wed Jun 03 19:20:17 1998
--- bind-8.1.2/lib/isc/Makefile	Thu Jun 04 12:53:33 1998
***************
*** 55,61 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 55,61 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/nameser/Makefile
diff -c bind-8.1.2/lib/nameser/Makefile:1.1.1.1 bind-8.1.2/lib/nameser/Makefile:1.2
*** bind-8.1.2/lib/nameser/Makefile:1.1.1.1	Wed Jun 03 19:20:17 1998
--- bind-8.1.2/lib/nameser/Makefile	Thu Jun 04 12:53:34 1998
***************
*** 51,57 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 51,57 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/resolv/Makefile
diff -c bind-8.1.2/lib/resolv/Makefile:1.1.1.1 bind-8.1.2/lib/resolv/Makefile:1.2
*** bind-8.1.2/lib/resolv/Makefile:1.1.1.1	Wed Jun 03 19:20:18 1998
--- bind-8.1.2/lib/resolv/Makefile	Thu Jun 04 12:53:35 1998
***************
*** 53,59 ****
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
--- 53,59 ----
  
  .c.${O}:
  	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
! 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
  
  distclean: clean
  
Index: bind-8.1.2/lib/resolv/herror.c
diff -c bind-8.1.2/lib/resolv/herror.c:1.1.1.1 bind-8.1.2/lib/resolv/herror.c:1.2
*** bind-8.1.2/lib/resolv/herror.c:1.1.1.1	Wed Jun 03 19:20:18 1998
--- bind-8.1.2/lib/resolv/herror.c	Thu Jun 04 12:53:37 1998
***************
*** 71,77 ****
--- 71,79 ----
  };
  int	h_nerr = { sizeof h_errlist / sizeof h_errlist[0] };
  
+ #ifndef _WIN32
  int	h_errno;
+ #endif
  
  /*
   * herror --
Index: bind-8.1.2/lib/resolv/res_init.c
diff -c bind-8.1.2/lib/resolv/res_init.c:1.1.1.1 bind-8.1.2/lib/resolv/res_init.c:1.2
*** bind-8.1.2/lib/resolv/res_init.c:1.1.1.1	Wed Jun 03 19:20:18 1998
--- bind-8.1.2/lib/resolv/res_init.c	Thu Jun 04 12:53:38 1998
***************
*** 70,79 ****
  
  #if defined(LIBC_SCCS) && !defined(lint)
  static char sccsid[] = "@(#)res_init.c	8.1 (Berkeley) 6/7/93";
! static char rcsid[] = "$Id: res_init.c,v 1.1.1.1 1998/06/03 15:20:18 sos Exp $";
  #endif /* LIBC_SCCS and not lint */
  
  #include "port_before.h"
  #include <sys/types.h>
  #include <sys/param.h>
  #include <sys/socket.h>
--- 70,82 ----
  
  #if defined(LIBC_SCCS) && !defined(lint)
  static char sccsid[] = "@(#)res_init.c	8.1 (Berkeley) 6/7/93";
! static char rcsid[] = "$Id: res_init.c,v 1.2 1998/06/04 08:53:38 sos Exp $";
  #endif /* LIBC_SCCS and not lint */
  
  #include "port_before.h"
+ #ifdef _WIN32
+ #include <windows.h>
+ #endif
  #include <sys/types.h>
  #include <sys/param.h>
  #include <sys/socket.h>
***************
*** 233,238 ****
--- 236,276 ----
  		*pp++ = 0;
  	}
  
+ #ifdef _WIN32
+ 	/* fetch domain name and dns address from registry */
+        {
+ 	HKEY par, transient;
+ 	DWORD len;
+ 	char buf[64];
+ 	struct in_addr a;
+ 
+ 	if ((RegOpenKeyEx(HKEY_LOCAL_MACHINE,		/* Windows NT */
+ 		"SYSTEM\\CurrentControlSet\\Services\\Tcpip\\Parameters",
+ 		0, KEY_READ, &par) == ERROR_SUCCESS) ||
+ 	    (RegOpenKeyEx(HKEY_LOCAL_MACHINE,		/* Windows 95 */
+ 		"System\\CurrentControlSet\\Services\\VxD\\MSTCP",
+ 		0, KEY_READ, &par) == ERROR_SUCCESS)) {
+ 	    /* fetch domain name */
+ 	    len = sizeof(_res.defdname);
+ 	    if (!haveenv)
+ 		RegQueryValueEx(par, "Domain", NULL, NULL, &_res.defdname, &len);
+ 	    /* fetch dns address */
+ 	    strcpy (buf, "");
+ 	    len = sizeof(buf);
+ 	    if (RegOpenKeyEx(par, "Transient", 0, KEY_READ, &transient) == ERROR_SUCCESS)
+ 		RegQueryValueEx(transient, "NameServer", NULL, NULL, &buf, &len);
+ 	    else
+ 		RegQueryValueEx(par, "NameServer", NULL, NULL, &buf, &len);
+ 
+ 	    if (inet_aton(buf, &a)) {
+ 		_res.nsaddr_list[nserv].sin_addr = a;
+ 		_res.nsaddr_list[nserv].sin_family = AF_INET;
+ 		_res.nsaddr_list[nserv].sin_port = htons(NAMESERVER_PORT);
+ 		nserv++;
+ 	    }
+ 	}
+        }
+ #endif /* _WIN32 */
  #define	MATCH(line, name) \
  	(!strncmp(line, name, sizeof(name) - 1) && \
  	(line[sizeof(name) - 1] == ' ' || \
Index: bind-8.1.2/port/cygwin32/Makefile
diff -c /dev/null bind-8.1.2/port/cygwin32/Makefile:1.1
*** /dev/null	Thu Jun 04 14:21:21 1998
--- bind-8.1.2/port/cygwin32/Makefile	Thu Jun 04 12:56:13 1998
***************
*** 0 ****
--- 1,85 ----
+ # Copyright (c) 1996 by Internet Software Consortium
+ #
+ # Permission to use, copy, modify, and distribute this software for any
+ # purpose with or without fee is hereby granted, provided that the above
+ # copyright notice and this permission notice appear in all copies.
+ #
+ # THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
+ # ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
+ # OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
+ # CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ # DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ # PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ # ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ # SOFTWARE.
+ 
+ # $Id: Makefile,v 1.1 1998/06/04 08:56:13 sos Exp $
+ 
+ # these are only appropriate for BSD 4.4 or derivatives, and are used in
+ # development.  normal builds will be done in the top level directory and
+ # this Makefile will be invoked with a lot of overrides for the following:
+ SYSTYPE= bsd
+ DESTDIR =
+ DESTLIB = /usr/local/lib
+ O=o
+ A=a
+ CC= cc
+ LD= ld
+ SHELL= /bin/sh
+ CDEBUG= -g
+ TOP= ../..
+ INCL = ${TOP}/include
+ PORTINCL = ${TOP}/port/${SYSTYPE}/include
+ LIBBIND = ${TOP}/lib/libbind.${A}
+ CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}
+ LD_LIBFLAGS= -x -r
+ AR= ar cruv
+ RANLIB= ranlib
+ INSTALL= install
+ 
+ SUBDIRS= include
+ 
+ SRCS=	noop.c
+ 
+ OBJS=	noop.${O}
+ 
+ MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"
+ 
+ all depend clean distclean install::
+ 	@for x in ${SUBDIRS}; do \
+ 		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
+ 	done
+ 
+ all:: ${LIBBIND}
+ 
+ ${LIBBIND}: ${OBJS}
+ 	${AR} ${LIBBIND} ${ARPREF} ${OBJS} ${ARSUFF}
+ 	${RANLIB} ${LIBBIND}
+ 
+ .c.${O}:
+ 	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
+ 	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && ${LDS} mv a.out $*.${O}
+ 
+ distclean:: clean
+ 
+ clean:: FRC
+ 	rm -f .depend a.out core tags
+ 	rm -f *.${O} *.BAK *.CKP *~
+ 
+ depend:: FRC
+ 	mkdep -I${INCL} -I${PORTINCL} ${CPPFLAGS} ${SRCS}
+ 
+ links: FRC
+ 	@set -e; ln -s SRC/*.[ch] SRC/bin SRC/Makefile.set SRC/probe .
+ 	@set -e; for x in ${SUBDIRS}; do \
+ 		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
+ 		cp SRC/Makefile Makefile; chmod +w Makefile; \
+ 		${MAKE} ${MARGS} links ); \
+ 	done
+ 
+ install:: FRC
+ 
+ FRC:
+ 
+ # DO NOT DELETE THIS LINE -- mkdep uses it.
+ # DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
Index: bind-8.1.2/port/cygwin32/Makefile.set
diff -c /dev/null bind-8.1.2/port/cygwin32/Makefile.set:1.1
*** /dev/null	Thu Jun 04 14:21:22 1998
--- bind-8.1.2/port/cygwin32/Makefile.set	Thu Jun 04 12:56:13 1998
***************
*** 0 ****
--- 1,22 ----
+ 'CC=gcc'
+ 'CDEBUG=-O2'
+ 'DESTBIN=/usr/bin'
+ 'DESTSBIN=/usr/bin'
+ 'DESTEXEC=/usr/bin'
+ 'DESTMAN=/usr/man'
+ 'DESTHELP=/usr/lib'
+ 'DESTETC=/etc'
+ 'DESTRUN=/var/run'
+ 'DESTINC=/usr/include'
+ 'DESTLIB=/usr/lib'
+ 'LEX=flex -8 -I'
+ 'YACC=yacc -d'
+ 'SYSLIBS=-lfl -ladvapi32'
+ 'INSTALL=install'
+ 'MANDIR=man'
+ 'MANROFF=cat'
+ 'CATEXT=$$N'
+ 'PS=ps -p'
+ 'AR=ar cruvs'
+ 'RANLIB=:'
+ 'EXE=.exe'
Index: bind-8.1.2/port/cygwin32/noop.c
diff -c /dev/null bind-8.1.2/port/cygwin32/noop.c:1.1
*** /dev/null	Thu Jun 04 14:21:23 1998
--- bind-8.1.2/port/cygwin32/noop.c	Thu Jun 04 12:56:13 1998
***************
*** 0 ****
--- 1,27 ----
+ #include <port_before.h>
+ #include <netdb.h>
+ #include <windows.h>
+ #include <port_after.h>
+ 
+ static void
+ noop() {
+ 	/* NOOP */
+ }
+ const char*
+ get_win32path (const char *file)
+ {
+   static char buf[PATH_MAX];
+   OSVERSIONINFO os_version_info;
+   os_version_info.dwOSVersionInfoSize = sizeof (OSVERSIONINFO);
+ 
+   GetVersionEx (&os_version_info);
+   GetWindowsDirectory (buf, sizeof (buf));
+ 
+   if (os_version_info.dwPlatformId == VER_PLATFORM_WIN32_NT)
+     strcat (buf, "\\system32\\drivers\\etc");
+   strcat(buf, "\\");
+   strcat(buf, file);
+   return buf;
+ }
+ 
+ 
Index: bind-8.1.2/port/cygwin32/probe
diff -c /dev/null bind-8.1.2/port/cygwin32/probe:1.1
*** /dev/null	Thu Jun 04 14:21:24 1998
--- bind-8.1.2/port/cygwin32/probe	Thu Jun 04 12:56:13 1998
***************
*** 0 ****
--- 1,7 ----
+ #!/bin/sh
+ 
+ 	case `uname -s` in
+ 	CYGWIN*) exit 0 ;;
+ 	esac
+ 
+ exit 1
Index: bind-8.1.2/port/cygwin32/bin/mkdep
diff -c /dev/null bind-8.1.2/port/cygwin32/bin/mkdep:1.1
*** /dev/null	Thu Jun 04 14:21:25 1998
--- bind-8.1.2/port/cygwin32/bin/mkdep	Thu Jun 04 12:56:13 1998
***************
*** 0 ****
--- 1,143 ----
+ #!/bin/sh -
+ 
+ ## ++Copyright++ 1987
+ ## -
+ ## Copyright (c) 1987 Regents of the University of California.
+ ## All rights reserved.
+ ## 
+ ## Redistribution and use in source and binary forms, with or without
+ ## modification, are permitted provided that the following conditions
+ ## are met:
+ ## 1. Redistributions of source code must retain the above copyright
+ ##    notice, this list of conditions and the following disclaimer.
+ ## 2. Redistributions in binary form must reproduce the above copyright
+ ##    notice, this list of conditions and the following disclaimer in the
+ ##    documentation and/or other materials provided with the distribution.
+ ## 3. All advertising materials mentioning features or use of this software
+ ##    must display the following acknowledgement:
+ ## This product includes software developed by the University of
+ ## California, Berkeley and its contributors.
+ ## 4. Neither the name of the University nor the names of its contributors
+ ##    may be used to endorse or promote products derived from this software
+ ##    without specific prior written permission.
+ ## THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ ## ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ ## IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ ## ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ ## FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ ## DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ ## OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ ## HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ ## LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ ## OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ ## SUCH DAMAGE.
+ ## -
+ ## Portions Copyright (c) 1993 by Digital Equipment Corporation.
+ ## 
+ ## Permission to use, copy, modify, and distribute this software for any
+ ## purpose with or without fee is hereby granted, provided that the above
+ ## copyright notice and this permission notice appear in all copies, and that
+ ## the name of Digital Equipment Corporation not be used in advertising or
+ ## publicity pertaining to distribution of the document or software without
+ ## specific, written prior permission.
+ ## 
+ ## THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+ ## WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+ ## OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+ ## CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ ## DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ ## PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ ## ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ ## SOFTWARE.
+ ## -
+ ## --Copyright--
+ 
+ #
+ #	@(#)mkdep.sh	5.12 (Berkeley) 6/30/88
+ #
+ PATH=/bin:/usr/bin:/usr/ucb:$PATH; export PATH
+ 
+ MAKE=Makefile			# default makefile name is "Makefile"
+ 
+ while :
+ 	do case "$1" in
+ 		# -f allows you to select a makefile name
+ 		-f)
+ 			MAKE=$2
+ 			shift; shift ;;
+ 
+ 		# the -p flag produces "program: program.c" style dependencies
+ 		# so .o's don't get produced
+ 		-p)
+ 			SED='s;\.o;;'
+ 			shift ;;
+ 		*)
+ 			break ;;
+ 	esac
+ done
+ 
+ if [ $# = 0 ] ; then
+ 	echo 'usage: mkdep [-p] [-f makefile] [flags] file ...'
+ 	exit 1
+ fi
+ 
+ if [ ! -w $MAKE ]; then
+ 	echo "mkdep: no writeable file \"$MAKE\""
+ 	exit 1
+ fi
+ 
+ TMP=/tmp/mkdep$$
+ 
+ trap 'rm -f $TMP ; exit 1' 1 2 3 13 15
+ 
+ cp $MAKE ${MAKE}.bak
+ 
+ sed -e '/DO NOT DELETE THIS LINE/,$d' < $MAKE > $TMP
+ 
+ cat << _EOF_ >> $TMP
+ # DO NOT DELETE THIS LINE -- mkdep uses it.
+ # DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
+ 
+ _EOF_
+ 
+ # If your compiler doesn't have -M, add it.  If you can't, the next two
+ # lines will try and replace the "cc -M".  The real problem is that this
+ # hack can't deal with anything that requires a search path, and doesn't
+ # even try for anything using bracket (<>) syntax.
+ #
+ # egrep '^#include[ 	]*".*"' /dev/null $* |
+ # sed -e 's/:[^"]*"\([^"]*\)".*/: \1/' -e 's/\.c/.o/' |
+ 
+ gcc -M $* |
+ sed "
+ 	s; \./; ;g
+ 	$SED" |
+ awk '{
+ 	if ($1 != prev) {
+ 		if (rec != "")
+ 			print rec;
+ 		rec = $0;
+ 		prev = $1;
+ 	}
+ 	else {
+ 		if (length(rec $2) > 78) {
+ 			print rec;
+ 			rec = $0;
+ 		}
+ 		else
+ 			rec = rec " " $2
+ 	}
+ }
+ END {
+ 	print rec
+ }' >> $TMP
+ 
+ cat << _EOF_ >> $TMP
+ 
+ # IF YOU PUT ANYTHING HERE IT WILL GO AWAY
+ _EOF_
+ 
+ # copy to preserve permissions
+ cp $TMP $MAKE
+ rm -f ${MAKE}.bak $TMP
+ exit 0
Index: bind-8.1.2/port/cygwin32/include/Makefile
diff -c /dev/null bind-8.1.2/port/cygwin32/include/Makefile:1.1
*** /dev/null	Thu Jun 04 14:21:26 1998
--- bind-8.1.2/port/cygwin32/include/Makefile	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1,92 ----
+ # ++Copyright++
+ # -
+ # Copyright (c) 
+ #    The Regents of the University of California.  All rights reserved.
+ # 
+ # Redistribution and use in source and binary forms, with or without
+ # modification, are permitted provided that the following conditions
+ # are met:
+ # 1. Redistributions of source code must retain the above copyright
+ #    notice, this list of conditions and the following disclaimer.
+ # 2. Redistributions in binary form must reproduce the above copyright
+ #    notice, this list of conditions and the following disclaimer in the
+ #    documentation and/or other materials provided with the distribution.
+ # 3. All advertising materials mentioning features or use of this software
+ #    must display the following acknowledgement:
+ # 	This product includes software developed by the University of
+ # 	California, Berkeley and its contributors.
+ # 4. Neither the name of the University nor the names of its contributors
+ #    may be used to endorse or promote products derived from this software
+ #    without specific prior written permission.
+ # 
+ # THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ # ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ # SUCH DAMAGE.
+ # -
+ # Portions Copyright (c) 1993 by Digital Equipment Corporation.
+ # 
+ # Permission to use, copy, modify, and distribute this software for any
+ # purpose with or without fee is hereby granted, provided that the above
+ # copyright notice and this permission notice appear in all copies, and that
+ # the name of Digital Equipment Corporation not be used in advertising or
+ # publicity pertaining to distribution of the document or software without
+ # specific, written prior permission.
+ # 
+ # THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+ # WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+ # OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+ # CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ # DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ # PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ # ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ # SOFTWARE.
+ # -
+ # --Copyright--
+ 
+ SUBDIRS = sys net
+ # Ensure that HFILES isn't empty to keep bash happy
+ HFILES = junk
+ 
+ DESTDIR=
+ DESTINC= /usr/local/bind/include
+ INSTALL= install
+ 
+ MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"
+ 
+ all depend clean distclean install::
+ 	@for x in ${SUBDIRS}; do \
+ 		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
+ 	done
+ 
+ distclean:: clean
+ 
+ clean::
+ 	rm -f *~ *.BAK *.CKP *.orig
+ 
+ links: FRC
+ 	@set -e; ln -s SRC/*.h .
+ 	@set -e; for x in ${SUBDIRS}; do \
+ 		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
+ 		cp SRC/Makefile Makefile; chmod +w Makefile; \
+ 		${MAKE} ${MARGS} links ); \
+ 	done
+ 
+ install:: ${DESTDIR}${DESTINC}
+ 	-for x in ${HFILES}; do \
+ 	    if [ -f "$$x" ]; then \
+ 		${INSTALL} -c -m 444 $$x ${DESTDIR}${DESTINC}/$$x; \
+ 	    fi; \
+ 	done
+ 
+ ${DESTDIR}${DESTINC}:
+ 	mkdir -p ${DESTDIR}${DESTINC}
+ 
+ FRC:
Index: bind-8.1.2/port/cygwin32/include/nlist.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/nlist.h:1.1
*** /dev/null	Thu Jun 04 14:21:27 1998
--- bind-8.1.2/port/cygwin32/include/nlist.h	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1 ----
+ /**/
\ No newline at end of file
Index: bind-8.1.2/port/cygwin32/include/port_after.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/port_after.h:1.1
*** /dev/null	Thu Jun 04 14:21:28 1998
--- bind-8.1.2/port/cygwin32/include/port_after.h	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1,51 ----
+ #define CANNOT_CONNECT_DGRAM
+ #define USE_POSIX
+ #define POSIX_SIGNALS
+ #define USE_UTIME
+ #define USE_WAITPID
+ #define USE_SETSID
+ #define SETGRENT_VOID
+ #define SIOCGIFCONF_ADDR
+ #define USE_LOG_CONS
+ 
+ #  define NEED_PSELECT
+ #  define NEED_DAEMON
+ int daemon(int nochdir, int noclose);
+ 
+ #define SPURIOUS_ECONNREFUSED	/* XXX is this still needed for 2.0 kernels? */
+ #define _TIMEZONE timezone
+ 
+ #define PORT_NONBLOCK	O_NONBLOCK
+ #define PORT_WOULDBLK	EAGAIN
+ #define WAIT_T		int
+ 
+ #ifndef MIN
+ # define MIN(x, y)	((x > y) ?y :x)
+ #endif
+ #ifndef MAX
+ # define MAX(x, y)	((x > y) ?x :y)
+ #endif
+ 
+ /*
+  * We need to know the IPv6 address family number even on IPv4-only systems.
+  * Note that this is NOT a protocol constant, and that if the system has its
+  * own AF_INET6, different from ours below, all of BIND's libraries and
+  * executables will need to be recompiled after the system <sys/socket.h>
+  * has had this type added.  The type number below is correct for Linux
+  * systems.
+  */
+ #ifndef AF_INET6
+ #define AF_INET6	10
+ #endif
+ 
+ #define _PATH_DEVNULL "/dev/null"
+ #define IFF_POINTOPOINT 0
+ #define SIOCGIFDSTADDR 0
+ #define LOG_LOCAL0 0
+ #define LOG_LOCAL1 0
+ #define LOG_LOCAL2 0
+ #define LOG_LOCAL3 0
+ #define LOG_LOCAL4 0
+ #define LOG_LOCAL5 0
+ #define LOG_LOCAL6 0
+ #define LOG_LOCAL7 0
Index: bind-8.1.2/port/cygwin32/include/port_before.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/port_before.h:1.1
*** /dev/null	Thu Jun 04 14:21:29 1998
--- bind-8.1.2/port/cygwin32/include/port_before.h	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1,14 ----
+ #undef WANT_IRS_NIS
+ #undef WANT_IRS_PW
+ #undef WANT_IRS_GR
+ #define SIG_FN void
+ 
+ /* We grab paths.h now to avoid troubles with redefining _PATH_HEQUIV later. */
+ #include <paths.h>
+ #define __P(x) x
+ #include <sys/types.h>
+ struct timespec {
+ 	time_t	tv_sec;		/* seconds */
+ 	long	tv_nsec;	/* nanoseconds */
+ };
+ #include <getopt.h>
Index: bind-8.1.2/port/cygwin32/include/net/Makefile
diff -c /dev/null bind-8.1.2/port/cygwin32/include/net/Makefile:1.1
*** /dev/null	Thu Jun 04 14:21:31 1998
--- bind-8.1.2/port/cygwin32/include/net/Makefile	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1,78 ----
+ # ++Copyright++
+ # -
+ # Copyright (c) 
+ #    The Regents of the University of California.  All rights reserved.
+ # 
+ # Redistribution and use in source and binary forms, with or without
+ # modification, are permitted provided that the following conditions
+ # are met:
+ # 1. Redistributions of source code must retain the above copyright
+ #    notice, this list of conditions and the following disclaimer.
+ # 2. Redistributions in binary form must reproduce the above copyright
+ #    notice, this list of conditions and the following disclaimer in the
+ #    documentation and/or other materials provided with the distribution.
+ # 3. All advertising materials mentioning features or use of this software
+ #    must display the following acknowledgement:
+ # 	This product includes software developed by the University of
+ # 	California, Berkeley and its contributors.
+ # 4. Neither the name of the University nor the names of its contributors
+ #    may be used to endorse or promote products derived from this software
+ #    without specific prior written permission.
+ # 
+ # THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ # ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ # SUCH DAMAGE.
+ # -
+ # Portions Copyright (c) 1993 by Digital Equipment Corporation.
+ # 
+ # Permission to use, copy, modify, and distribute this software for any
+ # purpose with or without fee is hereby granted, provided that the above
+ # copyright notice and this permission notice appear in all copies, and that
+ # the name of Digital Equipment Corporation not be used in advertising or
+ # publicity pertaining to distribution of the document or software without
+ # specific, written prior permission.
+ # 
+ # THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+ # WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+ # OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+ # CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ # DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ # PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ # ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ # SOFTWARE.
+ # -
+ # --Copyright--
+ 
+ # Ensure that HFILES isn't empty to keep bash happy
+ HFILES= route.h
+ 
+ DESTDIR=
+ DESTINC= /usr/local/bind/include
+ 
+ all depend:
+ 
+ distclean: clean
+ 
+ clean:
+ 	rm -f *~ *.BAK *.CKP *.orig 
+ 
+ links:
+ 	@set -e; ln -s SRC/*.h .
+ 
+ install: ${DESTDIR}${DESTINC}/net
+ 	for x in ${HFILES}; do \
+ 		if [ -f $$x ]; then \
+ 			${INSTALL} -c -m 444 $$x ${DESTDIR}${DESTINC}/net/$$x;\
+ 		fi; \
+ 	done
+ 
+ ${DESTDIR}${DESTINC}/net:
+ 	mkdir -p ${DESTDIR}${DESTINC}/net
Index: bind-8.1.2/port/cygwin32/include/net/route.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/net/route.h:1.1
*** /dev/null	Thu Jun 04 14:21:32 1998
--- bind-8.1.2/port/cygwin32/include/net/route.h	Thu Jun 04 12:56:14 1998
***************
*** 0 ****
--- 1 ----
+ /**/
\ No newline at end of file
Index: bind-8.1.2/port/cygwin32/include/sys/Makefile
diff -c /dev/null bind-8.1.2/port/cygwin32/include/sys/Makefile:1.1
*** /dev/null	Thu Jun 04 14:21:33 1998
--- bind-8.1.2/port/cygwin32/include/sys/Makefile	Thu Jun 04 12:56:15 1998
***************
*** 0 ****
--- 1,77 ----
+ # ++Copyright++
+ # -
+ # Copyright (c) 
+ #    The Regents of the University of California.  All rights reserved.
+ # 
+ # Redistribution and use in source and binary forms, with or without
+ # modification, are permitted provided that the following conditions
+ # are met:
+ # 1. Redistributions of source code must retain the above copyright
+ #    notice, this list of conditions and the following disclaimer.
+ # 2. Redistributions in binary form must reproduce the above copyright
+ #    notice, this list of conditions and the following disclaimer in the
+ #    documentation and/or other materials provided with the distribution.
+ # 3. All advertising materials mentioning features or use of this software
+ #    must display the following acknowledgement:
+ # 	This product includes software developed by the University of
+ # 	California, Berkeley and its contributors.
+ # 4. Neither the name of the University nor the names of its contributors
+ #    may be used to endorse or promote products derived from this software
+ #    without specific prior written permission.
+ # 
+ # THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ # ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ # IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ # ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ # FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ # DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ # OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ # HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ # LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ # SUCH DAMAGE.
+ # -
+ # Portions Copyright (c) 1993 by Digital Equipment Corporation.
+ # 
+ # Permission to use, copy, modify, and distribute this software for any
+ # purpose with or without fee is hereby granted, provided that the above
+ # copyright notice and this permission notice appear in all copies, and that
+ # the name of Digital Equipment Corporation not be used in advertising or
+ # publicity pertaining to distribution of the document or software without
+ # specific, written prior permission.
+ # 
+ # THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+ # WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+ # OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+ # CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+ # DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+ # PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+ # ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+ # SOFTWARE.
+ # -
+ # --Copyright--
+ 
+ HFILES= bitypes.h cdefs.h
+ 
+ DESTDIR=
+ DESTINC= /usr/local/bind/include
+ 
+ all depend:
+ 
+ distclean: clean
+ 
+ clean:
+ 	rm -f *~ *.BAK *.CKP *.orig time.h stat.h
+ 
+ links:
+ 	@set -e; ln -s SRC/*.h .
+ 
+ install: ${DESTDIR}${DESTINC}/sys
+ 	for x in ${HFILES}; do \
+ 		if [ -f $$x ]; then \
+ 			${INSTALL} -c -m 444 $$x ${DESTDIR}${DESTINC}/sys/$$x;\
+ 		fi; \
+ 	done
+ 
+ ${DESTDIR}${DESTINC}/sys:
+ 	mkdir -p ${DESTDIR}${DESTINC}/sys
Index: bind-8.1.2/port/cygwin32/include/sys/bitypes.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/sys/bitypes.h:1.1
*** /dev/null	Thu Jun 04 14:21:34 1998
--- bind-8.1.2/port/cygwin32/include/sys/bitypes.h	Thu Jun 04 14:09:17 1998
***************
*** 0 ****
--- 1,92 ----
+ /*
+  * bitypes.h,v 1.4 1995/08/24 01:58:54 hjl Exp
+  */
+ 
+ /*
+  * ++Copyright++ 1993
+  * -
+  * Copyright (c) 1993 Regents of the University of California.
+  * All rights reserved.
+  * 
+  * Redistribution and use in source and binary forms, with or without
+  * modification, are permitted provided that the following conditions
+  * are met:
+  * 1. Redistributions of source code must retain the above copyright
+  *    notice, this list of conditions and the following disclaimer.
+  * 2. Redistributions in binary form must reproduce the above copyright
+  *    notice, this list of conditions and the following disclaimer in the
+  *    documentation and/or other materials provided with the distribution.
+  * 3. All advertising materials mentioning features or use of this software
+  *    must display the following acknowledgement:
+  * 	This product includes software developed by the University of
+  * 	California, Berkeley and its contributors.
+  * 4. Neither the name of the University nor the names of its contributors
+  *    may be used to endorse or promote products derived from this software
+  *    without specific prior written permission.
+  * 
+  * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+  * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+  * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+  * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+  * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+  * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+  * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+  * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+  * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+  * SUCH DAMAGE.
+  * -
+  * Portions Copyright (c) 1993 by Digital Equipment Corporation.
+  * 
+  * Permission to use, copy, modify, and distribute this software for any
+  * purpose with or without fee is hereby granted, provided that the above
+  * copyright notice and this permission notice appear in all copies, and that
+  * the name of Digital Equipment Corporation not be used in advertising or
+  * publicity pertaining to distribution of the document or software without
+  * specific, written prior permission.
+  * 
+  * THE SOFTWARE IS PROVIDED "AS IS" AND DIGITAL EQUIPMENT CORP. DISCLAIMS ALL
+  * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES
+  * OF MERCHANTABILITY AND FITNESS.   IN NO EVENT SHALL DIGITAL EQUIPMENT
+  * CORPORATION BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
+  * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
+  * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
+  * ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
+  * SOFTWARE.
+  * -
+  * --Copyright--
+  */
+ 
+ /*
+ #ifdef __USE_BSD
+ */
+ 
+ #ifndef __BIT_TYPES_DEFINED__
+ # if (defined(BSD) && (BSD >= 199306)) || \
+      (defined(_BSDI_VERSION) && (_BSDI_VERSION >= 199312)) 
+ #  define __BIT_TYPES_DEFINED__
+ # endif
+ #endif
+ 
+ #ifndef __BIT_TYPES_DEFINED__
+ #define __BIT_TYPES_DEFINED__
+ 
+ 	/*
+ 	 * Basic integral types.  Omit the typedef if
+ 	 * not possible for a machine/compiler combination.
+ 	 */
+ 	typedef /*signed*/ char            int8_t;
+ 	typedef unsigned char            u_int8_t;
+ 	typedef short                     int16_t;
+ 	typedef unsigned short          u_int16_t;
+ 	typedef int                       int32_t;
+ 	typedef unsigned int            u_int32_t;
+ 
+ # if __GNUC__ >= 2
+ 	typedef long long                 int64_t;
+ 	typedef unsigned long long      u_int64_t;
+ # endif
+ 
+ #endif	/* __BIT_TYPES_DEFINED__ */
+ 
+ /* #endif  __USE_BSD */
Index: bind-8.1.2/port/cygwin32/include/sys/mbuf.h
diff -c /dev/null bind-8.1.2/port/cygwin32/include/sys/mbuf.h:1.1
*** /dev/null	Thu Jun 04 14:21:35 1998
--- bind-8.1.2/port/cygwin32/include/sys/mbuf.h	Thu Jun 04 12:56:15 1998
***************
*** 0 ****
--- 1,3 ----
+ #ifndef MBUF_H
+ #define MBUF_H
+ #endif
